/// <reference types="node" />
export interface Timer {
    /** Start / restart the timer. */
    start(): void;
    /**
     * Calculate the amount of time in ms since the
     * timer was created / started.
     */
    elapsed(): number;
}
export declare function createTimer(hrTime?: NodeJS.HRTime): Timer;
export declare type HRTime = [number, number];
export declare function toMilliseconds(t: HRTime): number;
