"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toMilliseconds = exports.createTimer = void 0;
function createTimer(hrTime = process.hrtime) {
    let start = hrTime();
    return {
        start() {
            start = hrTime();
        },
        elapsed() {
            return toMilliseconds(hrTime(start));
        },
    };
}
exports.createTimer = createTimer;
function toMilliseconds(t) {
    return (t[0] + t[1] * 1e-9) * 1000;
}
exports.toMilliseconds = toMilliseconds;
//# sourceMappingURL=timer.js.map